Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Mylyn » Could not load repository template extension repository
Could not load repository template extension repository [message #60195] Sat, 18 October 2008 10:26 Go to next message
Konstantin Scheglov is currently offline Konstantin Scheglov
Messages: 554
Registered: July 2009
Senior Member
After updating to 3.0.3 I see this message in error log after every
restart. I don't know, may be it was there even with 3.0.2. Does it
means something bad? Howe can I fix this? How can I prevent this?

Eclipse 3.5M2.


Konstantin Scheglov,
Google, Inc.
Re: Could not load repository template extension repository [message #60315 is a reply to message #60195] Sun, 19 October 2008 14:58 Go to previous messageGo to next message
Eclipse User
Originally posted by: steffen.pingel.eclipse.org

Please post the error message.

Steffen

> After updating to 3.0.3 I see this message in error log after every
> restart. I don't know, may be it was there even with 3.0.2. Does it
> means something bad? Howe can I fix this? How can I prevent this?
>
> Eclipse 3.5M2.
Re: Could not load repository template extension repository [message #60339 is a reply to message #60315] Sun, 19 October 2008 16:15 Go to previous messageGo to next message
Konstantin Scheglov is currently offline Konstantin Scheglov
Messages: 554
Registered: July 2009
Senior Member
Steffen Pingel wrote:

Here is full content of .log, as you can see, there are no stack trace.

=======
!SESSION 2008-10-20 00:12:20.796
-----------------------------------------------
eclipse.buildId=I20080918-0100
java.version=1.6.0_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=ru_RU
Command-line arguments: -os win32 -ws win32 -arch x86 -clean

!ENTRY org.eclipse.mylyn.tasks.ui 4 0 2008-10-20 00:13:09.953
!MESSAGE Could not load repository template extension repository
=======

> Please post the error message.
>
> Steffen
>
>> After updating to 3.0.3 I see this message in error log after every
>> restart. I don't know, may be it was there even with 3.0.2. Does it
>> means something bad? Howe can I fix this? How can I prevent this?
>>
>> Eclipse 3.5M2.
>


Konstantin Scheglov,
Google, Inc.
Re: Could not load repository template extension repository [message #61527 is a reply to message #60195] Tue, 11 November 2008 01:45 Go to previous messageGo to next message
Eclipse User
Originally posted by: Manish_Malhotra01.infosys.com

Hi,
I also got the same issue,
By verifying the Plugin.xml entries with the Trac Plugin.xml.
It got solved, and that was because of the ConnectorUI entry in the <extension
point="org.eclipse.mylyn.tasks.ui.repositories">.

Following are the entries of Trac Connector UI's plugin.

----------------------------------------
<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
<extension id="org.eclipse.mylyn.trac.repository" name="Trac Repository" point="org.eclipse.mylyn.tasks.ui.repositories">
<connectorCore class=" org.eclipse.mylyn.internal.trac.core.TracRepositoryConnector " id="trac" name="Trac Connector Core"/>
<connectorUi brandingIcon="icons/eview16/trac-icon.gif" class="org.eclipse.mylyn.internal.trac.ui.TracConnectorUi" id="trac" name="Trac Connector UI" overlayIcon="icons/eview16/overlay-trac.gif"/>
<taskListMigrator class="org.eclipse.mylyn.internal.trac.ui.TracTaskListMigrator ">
</taskListMigrator>
</extension>
<extension point="org.eclipse.mylyn.tasks.core.templates">
<repository addAutomatically="false" anonymous="true" label="Edgewall" repositoryKind="trac" urlRepository="http://trac.edgewall.org" version="TRAC_0_9"/>
</extension>
<extension point="org.eclipse.mylyn.tasks.ui.editors">
<pageFactory class=" org.eclipse.mylyn.internal.trac.ui.editor.TracTaskEditorPage Factory " id="org.eclipse.mylyn.trac.ui.pageFactory">
</pageFactory>
</extension>
<extension point="org.eclipse.ui.workbench.texteditor.hyperlinkDetectors ">
<hyperlinkDetector class="org.eclipse.mylyn.internal.trac.ui.TracHyperlinkDetector " id="org.eclipse.mylyn.trac.ui.hyperlinksDetectors.Trac" name="Trac Links" targetId="org.eclipse.mylyn.tasks.ui.TaskEditor">
</hyperlinkDetector>
</extension>

</plugin>

-----------------------------------------

Hope fully this will help you, if still this problem isnt solved.
I havent used hyperlinkDetector, as I didnt required.

Regards,
Manish
Re: Could not load repository template extension repository [message #61551 is a reply to message #61527] Tue, 11 November 2008 01:49 Go to previous messageGo to next message
Eclipse User
Originally posted by: Manish_Malhotra01.infosys.com

------=_Part_4657_17679875.1226386245780
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

XML content was not published :(
So, find the plugin.xml as an attachment.

cheers,
Manish
------=_Part_4657_17679875.1226386245780
Content-Type: application/octet-stream; name=plugin.xml
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=plugin.xml

<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
<extension id="org.eclipse.mylyn.trac.repository" name="Trac Repository" point="org.eclipse.mylyn.tasks.ui.repositories">
<connectorCore class=" org.eclipse.mylyn.internal.trac.core.TracRepositoryConnector " id="trac" name="Trac Connector Core"/>
<connectorUi brandingIcon="icons/eview16/trac-icon.gif" class="org.eclipse.mylyn.internal.trac.ui.TracConnectorUi" id="trac" name="Trac Connector UI" overlayIcon="icons/eview16/overlay-trac.gif"/>
<taskListMigrator class="org.eclipse.mylyn.internal.trac.ui.TracTaskListMigrator ">
</taskListMigrator>
</extension>
<extension point="org.eclipse.mylyn.tasks.core.templates">
<repository addAutomatically="false" anonymous="true" label="Edgewall" repositoryKind="trac" urlRepository="http://trac.edgewall.org" version="TRAC_0_9"/>
</extension>
<extension point="org.eclipse.mylyn.tasks.ui.editors">
<pageFactory class=" org.eclipse.mylyn.internal.trac.ui.editor.TracTaskEditorPage Factory " id="org.eclipse.mylyn.trac.ui.pageFactory">
</pageFactory>
</extension>
<extension point="org.eclipse.ui.workbench.texteditor.hyperlinkDetectors ">
<hyperlinkDetector class="org.eclipse.mylyn.internal.trac.ui.TracHyperlinkDetector " id="org.eclipse.mylyn.trac.ui.hyperlinksDetectors.Trac" name="Trac Links" targetId="org.eclipse.mylyn.tasks.ui.TaskEditor">
</hyperlinkDetector>
</extension>

</plugin>
------=_Part_4657_17679875.1226386245780--
Re: Could not load repository template extension repository [message #61575 is a reply to message #61551] Tue, 11 November 2008 02:04 Go to previous message
Eclipse User
Originally posted by: steffen.pingel.eclipse.org

Please file a new bug report and include a list of installed features and
plug-ins (available from Help > About > Configuration Details):

http://www.eclipse.org/mylyn/community/

Thanks.

Steffen
Re: Could not load repository template extension repository [message #594352 is a reply to message #60195] Sun, 19 October 2008 14:58 Go to previous message
Steffen Pingel is currently offline Steffen Pingel
Messages: 706
Registered: July 2009
Senior Member
Please post the error message.

Steffen

> After updating to 3.0.3 I see this message in error log after every
> restart. I don't know, may be it was there even with 3.0.2. Does it
> means something bad? Howe can I fix this? How can I prevent this?
>
> Eclipse 3.5M2.
Re: Could not load repository template extension repository [message #594370 is a reply to message #60315] Sun, 19 October 2008 16:15 Go to previous message
Konstantin Scheglov is currently offline Konstantin Scheglov
Messages: 554
Registered: July 2009
Senior Member
Steffen Pingel wrote:

Here is full content of .log, as you can see, there are no stack trace.

=======
!SESSION 2008-10-20 00:12:20.796
-----------------------------------------------
eclipse.buildId=I20080918-0100
java.version=1.6.0_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=ru_RU
Command-line arguments: -os win32 -ws win32 -arch x86 -clean

!ENTRY org.eclipse.mylyn.tasks.ui 4 0 2008-10-20 00:13:09.953
!MESSAGE Could not load repository template extension repository
=======

> Please post the error message.
>
> Steffen
>
>> After updating to 3.0.3 I see this message in error log after every
>> restart. I don't know, may be it was there even with 3.0.2. Does it
>> means something bad? Howe can I fix this? How can I prevent this?
>>
>> Eclipse 3.5M2.
>


Konstantin Scheglov,
Google, Inc.
Re: Could not load repository template extension repository [message #594724 is a reply to message #60195] Tue, 11 November 2008 01:45 Go to previous message
Manish is currently offline Manish
Messages: 3
Registered: July 2009
Junior Member
Hi,
I also got the same issue,
By verifying the Plugin.xml entries with the Trac Plugin.xml.
It got solved, and that was because of the ConnectorUI entry in the <extension
point="org.eclipse.mylyn.tasks.ui.repositories">.

Following are the entries of Trac Connector UI's plugin.

----------------------------------------
<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
<extension id="org.eclipse.mylyn.trac.repository" name="Trac Repository" point="org.eclipse.mylyn.tasks.ui.repositories">
<connectorCore class=" org.eclipse.mylyn.internal.trac.core.TracRepositoryConnector " id="trac" name="Trac Connector Core"/>
<connectorUi brandingIcon="icons/eview16/trac-icon.gif" class="org.eclipse.mylyn.internal.trac.ui.TracConnectorUi" id="trac" name="Trac Connector UI" overlayIcon="icons/eview16/overlay-trac.gif"/>
<taskListMigrator class="org.eclipse.mylyn.internal.trac.ui.TracTaskListMigrator ">
</taskListMigrator>
</extension>
<extension point="org.eclipse.mylyn.tasks.core.templates">
<repository addAutomatically="false" anonymous="true" label="Edgewall" repositoryKind="trac" urlRepository="http://trac.edgewall.org" version="TRAC_0_9"/>
</extension>
<extension point="org.eclipse.mylyn.tasks.ui.editors">
<pageFactory class=" org.eclipse.mylyn.internal.trac.ui.editor.TracTaskEditorPage Factory " id="org.eclipse.mylyn.trac.ui.pageFactory">
</pageFactory>
</extension>
<extension point="org.eclipse.ui.workbench.texteditor.hyperlinkDetectors ">
<hyperlinkDetector class="org.eclipse.mylyn.internal.trac.ui.TracHyperlinkDetector " id="org.eclipse.mylyn.trac.ui.hyperlinksDetectors.Trac" name="Trac Links" targetId="org.eclipse.mylyn.tasks.ui.TaskEditor">
</hyperlinkDetector>
</extension>

</plugin>

-----------------------------------------

Hope fully this will help you, if still this problem isnt solved.
I havent used hyperlinkDetector, as I didnt required.

Regards,
Manish
Re: Could not load repository template extension repository [message #594734 is a reply to message #61527] Tue, 11 November 2008 01:49 Go to previous message
Manish is currently offline Manish
Messages: 3
Registered: July 2009
Junior Member
------=_Part_4657_17679875.1226386245780
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

XML content was not published :(
So, find the plugin.xml as an attachment.

cheers,
Manish
------=_Part_4657_17679875.1226386245780
Content-Type: application/octet-stream; name=plugin.xml
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=plugin.xml

<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
<extension id="org.eclipse.mylyn.trac.repository" name="Trac Repository" point="org.eclipse.mylyn.tasks.ui.repositories">
<connectorCore class=" org.eclipse.mylyn.internal.trac.core.TracRepositoryConnector " id="trac" name="Trac Connector Core"/>
<connectorUi brandingIcon="icons/eview16/trac-icon.gif" class="org.eclipse.mylyn.internal.trac.ui.TracConnectorUi" id="trac" name="Trac Connector UI" overlayIcon="icons/eview16/overlay-trac.gif"/>
<taskListMigrator class="org.eclipse.mylyn.internal.trac.ui.TracTaskListMigrator ">
</taskListMigrator>
</extension>
<extension point="org.eclipse.mylyn.tasks.core.templates">
<repository addAutomatically="false" anonymous="true" label="Edgewall" repositoryKind="trac" urlRepository="http://trac.edgewall.org" version="TRAC_0_9"/>
</extension>
<extension point="org.eclipse.mylyn.tasks.ui.editors">
<pageFactory class=" org.eclipse.mylyn.internal.trac.ui.editor.TracTaskEditorPage Factory " id="org.eclipse.mylyn.trac.ui.pageFactory">
</pageFactory>
</extension>
<extension point="org.eclipse.ui.workbench.texteditor.hyperlinkDetectors ">
<hyperlinkDetector class="org.eclipse.mylyn.internal.trac.ui.TracHyperlinkDetector " id="org.eclipse.mylyn.trac.ui.hyperlinksDetectors.Trac" name="Trac Links" targetId="org.eclipse.mylyn.tasks.ui.TaskEditor">
</hyperlinkDetector>
</extension>

</plugin>
------=_Part_4657_17679875.1226386245780--
Re: Could not load repository template extension repository [message #594742 is a reply to message #61551] Tue, 11 November 2008 02:04 Go to previous message
Steffen Pingel is currently offline Steffen Pingel
Messages: 706
Registered: July 2009
Senior Member
Please file a new bug report and include a list of installed features and
plug-ins (available from Help > About > Configuration Details):

http://www.eclipse.org/mylyn/community/

Thanks.

Steffen
Previous Topic:user defined order in task list?
Next Topic:Empty password
Goto Forum:
  


Current Time: Mon Apr 21 00:52:20 EDT 2014

Powered by FUDForum. Page generated in 0.01990 seconds